GuideLab API

Start a print batch

Transitions a queued batch to printing. Printer running state is derived from the active batch.

POST
/production/print-batches/{id}/start

Transitions a queued batch to printing. Printer running state is derived from the active batch.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

id*string

Print batch ID

Formatuuid

Response Body

application/json

curl -X POST "https://example.com/production/print-batches/550e8400-e29b-41d4-a716-446655440000/start"
{  "batch": {    "id": "string",    "labId": "string",    "printerId": "string",    "roomId": "string",    "name": "string",    "status": "queued",    "startedAt": "string",    "completedAt": "string",    "createdByMemberId": "string",    "completedByMemberId": "string",    "notes": "string",    "failureReason": "string",    "durationSeconds": 0,    "createdAt": "string",    "updatedAt": "string",    "orderItems": [      {        "id": "string",        "orderId": "string",        "orderNumber": "string",        "productName": "string",        "material": "string"      }    ],    "orderItemsTruncated": true  }}
Empty
Empty
Empty
Empty